<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="libCLsharp"
	ProjectGUID="{A7F1E656-E896-4FDA-AF9B-95D96F37CCE9}"
	RootNamespace="libCLcsharp"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="../build"
			IntermediateDirectory="../build/tmp/msvc7/$(ProjectName)/$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../src;../;./"
				PreprocessorDefinitions="OVERRIDE_DEFAULT_CLCONFIG;WIN32;_WIN32;_DEBUG;_WINDOWS;_USRDLL"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="5"
				RuntimeTypeInfo="TRUE"
				UsePrecompiledHeader="0"
				BrowseInformation="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"
				DebugInformationFormat="4"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				OutputFile="$(OutDir)/libCLcsharp.dll"
				LinkIncremental="2"
				GenerateDebugInformation="TRUE"
				AssemblyDebug="0"
				ProgramDatabaseFile="$(OutDir)/libCLcsharp.pdb"
				MapFileName=""
				SubSystem="2"
				OptimizeReferences="0"
				EnableCOMDATFolding="0"
				ImportLibrary="$(OutDir)/libCLcsharp.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="../build"
			IntermediateDirectory="../build/tmp/msvc7/$(ProjectName)/$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="../../src;../;./"
				PreprocessorDefinitions="OVERRIDE_DEFAULT_CLCONFIG;WIN32;_WIN32;NDEBUG;_WINDOWS;_USRDLL"
				RuntimeLibrary="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="TRUE"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				OutputFile="$(OutDir)/libCLcsharp.dll"
				LinkIncremental="1"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="$(OutDir)/libCLcsharp.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
			<File
				RelativePath=".\native\_clucene_binding.cpp">
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\src\CLucene\CLMonolithic.cpp">
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="0"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\native\stdafx.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
			<File
				RelativePath="..\AltCLConfig.h">
			</File>
			<File
				RelativePath="..\bindings.h">
			</File>
			<File
				RelativePath=".\local_AltCLConfig.h">
			</File>
			<File
				RelativePath=".\local_arrays.h">
			</File>
			<File
				RelativePath=".\native\stdafx.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}">
		</Filter>
		<Filter
			Name="swigs"
			Filter="">
			<File
				RelativePath="..\clucene.i">
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCustomBuildTool"
						CommandLine=""
						AdditionalDependencies=""
						Outputs=""/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\clucene_analysis.i">
			</File>
			<File
				RelativePath="..\clucene_debug.i">
			</File>
			<File
				RelativePath="..\clucene_document.i">
			</File>
			<File
				RelativePath="..\clucene_index.i">
			</File>
			<File
				RelativePath="..\clucene_queryParser.i">
			</File>
			<File
				RelativePath="..\clucene_search.i">
			</File>
			<File
				RelativePath="..\clucene_stdheader.i">
			</File>
			<File
				RelativePath="..\clucene_store.i">
			</File>
			<File
				RelativePath="..\clucene_typemaps.i">
			</File>
			<File
				RelativePath="..\clucene_util.i">
			</File>
			<File
				RelativePath=".\local_util.i">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
